package com.jasamedika.medifirst2000.vo;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.entities.KualifikasiJurusan;
import com.jasamedika.medifirst2000.entities.ProgramStudi;
import com.jasamedika.medifirst2000.entities.SuratKeputusan;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 * class KeluargaPegawaiVO
 * 
 * @author Lukman Hakim (lukman.uki@gmail.com)
 * @Date 31 Januari 2016
 * 
 */
public class RekananMouPKSVO extends BaseMasterVO {
	
	
	private KualifikasiJurusan jurusan;
  
	@Column(name = "kualifikasiJurusanFk", insertable = false, updatable = false, nullable = true)
	private Integer jurusanFk;
	
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "programStudiFk")
	@Caption(value = "programStudiFk")
	private ProgramStudi programStudi;
  
	@Column(name = "programStudiFk", insertable = false, updatable = false, nullable = true)
	private Integer programStudiFk;
	
	//Untuk No PKS dan Masa Berlaku PKS
	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "suratKeputusanFk")
	@Caption(value = "suratKeputusanFk")
	private SuratKeputusan suratKeputusan;
  
	 private Integer suratKeputusanFk;
	
	 private String statusinstitusi;
	 
	 private String akreditasi;
	
	 private String tkt;
	
	 private Date starAkreditasi;
	
	 private String endPKL;
	
	 private String bangunan;
	
	 private String hambatan;
	 
	private String keterangan;
	private String saran;
	public KualifikasiJurusan getJurusan() {
		return jurusan;
	}
	public void setJurusan(KualifikasiJurusan jurusan) {
		this.jurusan = jurusan;
	}
	public Integer getJurusanFk() {
		return jurusanFk;
	}
	public void setJurusanFk(Integer jurusanFk) {
		this.jurusanFk = jurusanFk;
	}
	public ProgramStudi getProgramStudi() {
		return programStudi;
	}
	public void setProgramStudi(ProgramStudi programStudi) {
		this.programStudi = programStudi;
	}
	public Integer getProgramStudiFk() {
		return programStudiFk;
	}
	public void setProgramStudiFk(Integer programStudiFk) {
		this.programStudiFk = programStudiFk;
	}
	public SuratKeputusan getSuratKeputusan() {
		return suratKeputusan;
	}
	public void setSuratKeputusan(SuratKeputusan suratKeputusan) {
		this.suratKeputusan = suratKeputusan;
	}
	public Integer getSuratKeputusanFk() {
		return suratKeputusanFk;
	}
	public void setSuratKeputusanFk(Integer suratKeputusanFk) {
		this.suratKeputusanFk = suratKeputusanFk;
	}
	public String getStatusinstitusi() {
		return statusinstitusi;
	}
	public void setStatusinstitusi(String statusinstitusi) {
		this.statusinstitusi = statusinstitusi;
	}
	public String getAkreditasi() {
		return akreditasi;
	}
	public void setAkreditasi(String akreditasi) {
		this.akreditasi = akreditasi;
	}
	public String getTkt() {
		return tkt;
	}
	public void setTkt(String tkt) {
		this.tkt = tkt;
	}
	public Date getStarAkreditasi() {
		return starAkreditasi;
	}
	public void setStarAkreditasi(Date starAkreditasi) {
		this.starAkreditasi = starAkreditasi;
	}
	public String getEndPKL() {
		return endPKL;
	}
	public void setEndPKL(String endPKL) {
		this.endPKL = endPKL;
	}
	public String getBangunan() {
		return bangunan;
	}
	public void setBangunan(String bangunan) {
		this.bangunan = bangunan;
	}
	public String getHambatan() {
		return hambatan;
	}
	public void setHambatan(String hambatan) {
		this.hambatan = hambatan;
	}
	public String getKeterangan() {
		return keterangan;
	}
	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	public String getSaran() {
		return saran;
	}
	public void setSaran(String saran) {
		this.saran = saran;
	}
		
}
